%global git_tag 1f95c6cd61c4c8024128b903bd40cca5a572a551

Epoch:          1
Name:           eclipse-launchbar
Version:        1.0.1
Release:        2.git1f95c6c%{?dist}
Summary:        Eclipse Launchbar plug-in
License:        EPL
URL:            https://wiki.eclipse.org/CDT/LaunchBar

Source0:        http://git.eclipse.org/c/cdt/org.eclipse.launchbar.git/snapshot/org.eclipse.launchbar-%{git_tag}.tar.xz

Patch0: eclipse-launchbar-annotation.patch

BuildArch:      noarch

BuildRequires: tycho
BuildRequires: tycho-extras
BuildRequires: eclipse-pde
BuildRequires: eclipse-license
BuildRequires: eclipse-remote

%description
An alternative to the default launcher toolbar in Eclipse.

%prep
%setup -q -n org.eclipse.launchbar-%{git_tag}
%patch0 -p1
find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

%pom_disable_module repo
%pom_disable_module tests/org.eclipse.launchbar.core.tests

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles

%changelog
* Mon Apr 25 2016 Sopot Cela <scela@redhat.com> - 1:1.0.1-2.git1f95c6c

* Thu Mar 10 2016 Mat Booth <mat.booth@redhat.com> - 1:1.0.1-1.gitedd5f69
- Take a post-release snapshot of 1.0.1 due to API breakage in newer versions

* Thu Mar 03 2016 Sopot Cela <scela@redhat.com> - 1.0.2-0.1.git93cdb07
- Updated to 1.0.2 for Mars.2 release

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-0.2.git3c10977
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 29 2015 Sopot Cela <scela@redhat.com> - 1.0.1-0.1.git3c10977
- Updated to 1.0.1 for Mars.1 release

* Wed Jul 15 2015 Sopot Cela <scela@redhat.com> - 1.0.0-0.3.gite1ac200
- Added javax.annotation patch

* Tue Jun 16 2015 Alexander Kurtakov <akurtako@redhat.com> 1.0.0-0.2.git01bfa62
- New snapshot

* Wed Jun 3 2015 Sopot Cela <scela@redhat.com> - 1.0.0-0.1.gite1ac200
- Initial packaging
